#include<stdio.h>
int main(){
    long long w,h,r,q,x1;
    scanf("%lld%lld%lld%lld",&w,&h,&r,&q);
    for(int i=0;i<q;i++)scanf("%lld",&x1);
    printf("1\n");
    printf("1\n");
    printf("1\n");
    printf("1\n");
    return 0;
}